org.apache.sling.auth.xing.login

## Class XingLogin

- java.lang.Object
- - org.apache.sling.auth.xing.login.XingLogin

    public class XingLogin
    extends Object

for `XING_COOKIE_PREFIX` and `HASH_ALGORITHM` see chapter 5. Server-side verification of the user data from `Documentation-Login-with-XING-plugin-110414.pdf`

### Field Summary

Fields
`static String` `AUTH_TYPE`
`static String` `AUTHENTICATION_CREDENTIALS_HASH_KEY`
`static String` `AUTHENTICATION_CREDENTIALS_USERDATA_KEY`
`static String` `HASH_ALGORITHM`
`static String` `SERVICE_VENDOR`
`static String` `XING_COOKIE_PREFIX`

### Constructor Summary

Constructors
Constructor and Description
`XingLogin()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### AUTH_TYPE

    public static final String AUTH_TYPE

See Also:
  Constant Field Values

#### AUTHENTICATION_CREDENTIALS_HASH_KEY

    public static final String AUTHENTICATION_CREDENTIALS_HASH_KEY

See Also:
  Constant Field Values

#### AUTHENTICATION_CREDENTIALS_USERDATA_KEY

    public static final String AUTHENTICATION_CREDENTIALS_USERDATA_KEY

See Also:
  Constant Field Values

#### XING_COOKIE_PREFIX

    public static final String XING_COOKIE_PREFIX

See Also:
  Constant Field Values

#### HASH_ALGORITHM

    public static final String HASH_ALGORITHM

See Also:
  Constant Field Values

#### SERVICE_VENDOR

    public static final String SERVICE_VENDOR

See Also:
  Constant Field Values

### Constructor Detail

#### XingLogin

    public XingLogin()